/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.qiniu.android.dns

/** Created by bailong on 15/6/17. */
class Domain
@JvmOverloads
constructor(
    /** 域名 */
    @JvmField val domain: String?,
    /** 是否有cname, 用来做劫持判断, 劫持的dns解析经常直接返回IP */
    val hasCname: Boolean = false,
    /** 是否先查hosts文件，再去网络请求，一般调试使用 */
    val hostsFirst: Boolean = false,
    /** 最大的ttl长度，劫持及异常dns判断，劫持的dns解析经常会有超大的ttl； 某些运营商dns server为了减少请求数，也会将ttl设置非常大，比如一年。 */
    val maxTtl: Int = 0
)
