/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.qiniu.android.dns

import java.io.IOException

// 同步的域名查询接口，没有独立线程, 可以有local dns, httpdns 等实现
/** 同步的域名查询接口，可以有local dns, httpdns 等实现 */
interface IResolver {
    /**
     * 根据域名参数进行查询
     *
     * @param domain 域名参数
     * @param info 网络信息，便于根据运营商选择不同策略
     * @return dns记录列表
     * @throws IOException 劫持或者网络异常
     */
    @Throws(IOException::class) fun resolve(domain: Domain?, info: NetworkInfo?): Array<Record?>?

    companion object {
        const val DNS_DEFAULT_TIMEOUT = 10 // seconds
    }
}
