/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.qiniu.android.dns

import java.io.IOException
import java.net.DatagramSocket
import java.net.InetAddress

/** Created by bailong on 15/7/3. */
object Network {
    private var previousIp = ""
    val ip: String
        //    use udp socket connect, tcp socket would connect when new.
        get() {
            val socket: DatagramSocket
            try {
                socket = DatagramSocket()
                val addr = InetAddress.getByName("114.114.114.114")
                socket.connect(addr, 53)
            } catch (e: IOException) {
                e.printStackTrace()
                return ""
            }
            val local = socket.localAddress
            socket.close()
            return local.hostAddress
        }

    @get:Synchronized
    val isNetworkChanged: Boolean
        get() {
            val nowIp = ip
            if (nowIp == previousIp) {
                return false
            }
            previousIp = nowIp
            return true
        }
}
