/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.qiniu.android.dns

/** Created by bailong on 15/6/21. */
class NetworkInfo(
    /** 网络状态 */
    val netStatus: NetSatus,
    /** 运营商 */
    val provider: Int
) {
    /** 网络状态，没有网络，wifi，或者2G/3G/4G网络 */
    enum class NetSatus {
        NO_NETWORK,
        WIFI,
        MOBILE
    }

    companion object {
        /** 默认网络供应商 */
        const val ISP_GENERAL = 0

        /** 中国电信 */
        const val ISP_CTC = 1

        /** 中国电信 */
        const val ISP_DIANXIN = ISP_CTC

        /** 中国联通 */
        const val ISP_CNC = 2

        /** 中国联通 */
        const val ISP_LIANTONG = ISP_CNC

        /** 中国移动 */
        const val ISP_CMCC = 3

        /** 中国移动 */
        const val ISP_YIDONG = ISP_CMCC

        /** 其他运营商 */
        const val ISP_OTHER = 999
        val noNetwork = NetworkInfo(NetSatus.NO_NETWORK, ISP_GENERAL)
        val normal = NetworkInfo(NetSatus.WIFI, ISP_GENERAL)
    }
}
