/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.qiniu.android.dns.dns

internal open class DnsMessage {

    @JvmField var messageId: Short = 0

    /** 请求类型，目前有三类值： 0 QUERY, 标准查询 1 IQUERY, 反向查询 2 STATUS, DNS状态请求 5 UPDATE, DNS域更新请求 */
    var opCode = OpCodeQuery

    /** 是否递归查询。如果该位被设置为1，则收到请求的域名服务器会递归查询域名， 注: 该位为1，域名服务器不一定会做递归查询，这取决于域名服务器是否支持递归查询。 */
    var rD = 1

    protected

    /** 在响应消息中清除并设置。表示该DNS域名服务器是否支持递归查询。 */
    var rA = 0

    protected

    /** 16位的消息ID标示一次正常的交互，该ID由消息请求者设置，消息响应者回复请求时带上该ID。最大：0xFFFF，即：65536 */
    fun getMessageId(): Int {
        return messageId.toInt()
    }

    companion object {
        const val OpCodeQuery = 0
        const val OpCodeIQuery = 1
        const val OpCodeStatus = 2
        const val OpCodeUpdate = 5
    }
}
