/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.qiniu.android.dns.util;

import java.util.LinkedHashMap;
import java.util.Map;

/** Created by bailong on 15/6/18. */
public final class LruCache<K, V> extends LinkedHashMap<K, V> {
  private final int size;

  public LruCache() {
    this(256);
  }

  public LruCache(int size) {
    super(size, 1.0f, true);
    this.size = size;
  }

  protected boolean removeEldestEntry(Map.Entry<K, V> eldest) {
    return this.size() > this.size;
  }
}
